Summary:	YAML parser and emitter for C++
Summary(pl.UTF-8):	Biblioteka C++ analizująca i generująca YAML
Name:		yaml-cpp
Version:	0.8.0
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/jbeder/yaml-cpp/releases
Source0:	https://github.com/jbeder/yaml-cpp/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	1d2c7975edba60e995abe3c4af6480e5
Patch0:		%{name}-gtest-no-install.patch
URL:		https://github.com/jbeder/yaml-cpp/
BuildRequires:	cmake >= 3.4
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YAML parser and emitter for C++.

%description -l pl.UTF-8
Biblioteka C++ analizująca i generująca YAML.

%package devel
Summary:	Header files for yaml-cpp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki yaml-cpp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:4.7

%description devel
Header files for yaml-cpp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki yaml-cpp.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
# .pc file requires relative INCLUDEDIR, LIBDIR
# DATADIR is used for arch-dependent .pc and cmake files
%cmake .. \
	-DCMAKE_INSTALL_INCLUDEDIR=include \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	-DCMAKE_INSTALL_DATADIR=%{_lib}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%attr(755,root,root) %{_libdir}/libyaml-cpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libyaml-cpp.so.0.8

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libyaml-cpp.so
%{_includedir}/yaml-cpp
%{_pkgconfigdir}/yaml-cpp.pc
%{_libdir}/cmake/yaml-cpp
%changelog
* Sun Aug 20 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yaml-cpp.git;a=log;h=master

* Sun Aug 20 2023 Jakub Bogusz <qboosh@pld-linux.org> fec76a3
- updated to 0.8.0 (new soname)

* Sat Jul 02 2022 Jakub Bogusz <qboosh@pld-linux.org> 69a223a
- updated cmake version

* Sat Jul 02 2022 Jakub Bogusz <qboosh@pld-linux.org> fc8a86c
- updated to 0.7.0 (new soname)
- updated gtest-no-install patch
- added cmake-config patch (fix missing link library name in cmake config file)

* Tue Jun 26 2018 Jakub Bogusz <qboosh@pld-linux.org> bf4156d
- new URLs, updated to 0.6.2 (note: new soname; now uses C++11 instead of boost)
- added gtest-no-install patch (don't install local gtest/gmock system wide)
- removed obsolete OpenColorIO note

* Sun Dec 13 2015 Jan Rękorajski <baggins@pld-linux.org> 1535536
- release 5 (by relup.sh)

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> 29d9567
- x32 rebuild
- release 4 (by relup.sh)

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 1bb8ec7
- release 3 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> b11224b
- release 2 (by relup.sh)

* Sun May 12 2013 Jan Rękorajski <baggins@pld-linux.org> f3bf400
- note about API incompatibility and reqs

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> e97e52b
- updated to 0.5.1

* Mon Jan 07 2013 Jakub Bogusz <qboosh@pld-linux.org> e241f41
- updated to 0.5.0 (note: new soname)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 28d27d4
- cleanup

* Sat Jul 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 42360a8
- new

